Subject: [Lsr] [Errata Rejected] RFC5309 (5007)

From: RFC Errata System <[email-masked]>
Date: Wed, 14 Mar 2018 12:53:47 -0700 (PDT)

The following errata report has been rejected for RFC5309,
"Point-to-Point Operation over LAN in Link State Routing Protocols".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5007

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Alexander Vainshtein <[email-masked]>
Date Reported: 2017-04-30
Rejected by: Alvaro Retana (IESG)

Section: 4.3

Original Text
-------------
For the ARP implementation (which checks that the subnet of the source 
address of the ARP request matches the local interface address), 
this check needs to be relaxed for the unnumbered p2p-over-lan circuits.

Corrected Text
--------------
For the ARP implementation (which checks that the subnet of the source 
address of the ARP request matches the local interface address), 
this check needs to be relaxed for the p2p-over-lan circuits 
(both numbered and unnumbered).

Notes
-----
Consider the following situation: 
1.	Two routers, R1 and R2, are connected by a physical P2P  Ethernet link
2.	OSPFv2 is enabled on the interfaces representing the endpoints of this link. 
3.      From the OSPF POV these interfaces:
o	Are configured as P2P
o	Belong to the same area
o	Are assigned with IP addresses and subnet masks yielding different subnets
4.    ARP check mentioned in the problematic text is not relaxed.

Under this conditions:
-Both R1 and R2 will accept Hello messages sent by the other router 
(becase it ignores subnet in Hello messages received via P2P interfaces)
- Adjacency between R1 and R2 will progress to FULL state (because all OSPFv2 messages 
will be sent with AllSPFRouters multicast IPv4 address)
- Unicast traffic sent by R1 to R2 (and vice versa) will be blackholed because ARP 
will not resolve addresses assigned to the corresponding interfaces.
 --VERIFIER NOTES-- 
RFC 5309 introduced the possibility of supporting an unnumbered configuration on a LAN. Statements in this RFC regarding ARP concerns are therefore deliberately limited to this new configuration.

For IS-IS, RFC 3787 Section 10 discusses concerns regarding mismatched subnets on numbered links.

For OSPF it is well known that there are some existing implementations which have supported mismatched subnets for many years.

Any concerns with ARP behavior  in support of mismatched subnets on numbered LANs is out of scope of RFC 5309.

[https://mailarchive.ietf.org/arch/msg/isis-wg/aCFWc8KuE8xEy0-qIrN63odct1o/?qid=623f2d68947e2ec849fb2e2a7f2e6242]

--------------------------------------
RFC5309 (draft-ietf-isis-igp-p2p-over-lan-06)
--------------------------------------
Title               : Point-to-Point Operation over LAN in Link State Routing Protocols
Publication Date    : October 2008
Author(s)           : N. Shen, Ed., A. Zinin, Ed.
Category            : INFORMATIONAL
Source              : IS-IS for IP Internets
Area                : Routing
Stream              : IETF
Verifying Party     : IESG